declare module "browser-encrypt-attachment" {
    interface IInfo {
        v: string;
        key: {
            alg: string;
            key_ops: string[];
            kty: string;
            k: string;
            ext: boolean;
        };
        iv: string;
        hashes: {
            [alg: string]: string;
        };
    }
    interface IEncryptedAttachment {
        data: ArrayBuffer;
        info: IInfo;
    }
    function encryptAttachment(plaintextBuffer: ArrayBuffer): Promise<IEncryptedAttachment>;
    function decryptAttachment(ciphertextBuffer: ArrayBuffer, info: IInfo): Promise<ArrayBuffer>;
}
