export declare class Analytics {
    private baseUrl;
    private siteId;
    private visitVariables;
    private firstPage;
    private heartbeatIntervalID;
    private readonly creationTs;
    private readonly lastVisitTs;
    private readonly visitCount;
    constructor();
    get disabled(): boolean;
    canEnable(): any;
    /**
     * Enable Analytics if initialized but disabled
     * otherwise try and initalize, no-op if piwik config missing
     */
    enable(): Promise<void>;
    /**
     * Disable Analytics, stop the heartbeat and clear identifiers from localStorage
     */
    disable(): void;
    private track;
    ping(): void;
    trackPageChange(generationTimeMs?: number): void;
    trackEvent(category: string, action: string, name?: string, value?: string): void;
    private setVisitVariable;
    setLoggedIn(isGuest: boolean, homeserverUrl: string): void;
    setBreadcrumbs(state: boolean): void;
    showDetailsModal: () => void;
}
declare const _default: Analytics;
export default _default;
