import { PostHog } from 'posthog-js';
import { MatrixClient } from "matrix-js-sdk/src/client";
interface IEvent {
    eventName: string;
}
export declare enum Anonymity {
    Disabled = 0,
    Anonymous = 1,
    Pseudonymous = 2
}
export declare function getRedactedCurrentLocation(origin: string, hash: string, pathname: string): string;
export declare class PosthogAnalytics {
    private readonly posthog;
    private anonymity;
    private readonly enabled;
    private static _instance;
    private platformSuperProperties;
    private static ANALYTICS_EVENT_TYPE;
    static get instance(): PosthogAnalytics;
    constructor(posthog: PostHog);
    private sanitizeProperties;
    private registerSuperProperties;
    private static getPlatformProperties;
    private capture;
    isEnabled(): boolean;
    setAnonymity(anonymity: Anonymity): void;
    private static getRandomAnalyticsId;
    identifyUser(client: MatrixClient, analyticsIdGenerator: () => string): Promise<void>;
    getAnonymity(): Anonymity;
    logout(): void;
    trackEvent<E extends IEvent>(event: E): void;
    updatePlatformSuperProperties(): Promise<void>;
    updateAnonymityFromSettings(pseudonymousOptIn: boolean): Promise<void>;
    startListeningToSettingsChanges(): void;
}
export {};
