import React from 'react';
import Group from "matrix-js-sdk/src/models/group";
import { Room } from 'matrix-js-sdk/src/models/room';
import AutocompleteProvider from './AutocompleteProvider';
import QueryMatcher from './QueryMatcher';
import { ICompletion, ISelectionRange } from "./Autocompleter";
import { TimelineRenderingType } from '../contexts/RoomContext';
export default class CommunityProvider extends AutocompleteProvider {
    matcher: QueryMatcher<Group>;
    constructor(room: Room, renderingType?: TimelineRenderingType);
    getCompletions(query: string, selection: ISelectionRange, force?: boolean, limit?: number): Promise<ICompletion[]>;
    getName(): string;
    renderCompletions(completions: React.ReactNode[]): React.ReactNode;
}
