import React from 'react';
import { Room } from "matrix-js-sdk/src/models/room";
import { RightPanelPhases } from '../../stores/right-panel/RightPanelStorePhases';
import ResizeNotifier from "../../utils/ResizeNotifier";
import { RoomPermalinkCreator } from '../../utils/permalinks/Permalinks';
import { E2EStatus } from '../../utils/ShieldUtils';
import { IRightPanelCard, IRightPanelCardState } from '../../stores/right-panel/RightPanelStoreIPanelState';
interface IProps {
    room?: Room;
    groupId?: string;
    overwriteCard?: IRightPanelCard;
    resizeNotifier: ResizeNotifier;
    permalinkCreator?: RoomPermalinkCreator;
    e2eStatus?: E2EStatus;
}
interface IState {
    phase: RightPanelPhases;
    isUserPrivilegedInGroup?: boolean;
    searchQuery: string;
    cardState?: IRightPanelCardState;
}
export default class RightPanel extends React.Component<IProps, IState> {
    static contextType: React.Context<import("matrix-js-sdk/src").MatrixClient>;
    constructor(props: any, context: any);
    private readonly delayedUpdate;
    componentDidMount(): void;
    componentWillUnmount(): void;
    UNSAFE_componentWillReceiveProps(newProps: IProps): void;
    private initGroupStore;
    private unregisterGroupStore;
    private onGroupStoreUpdated;
    private onRoomStateMember;
    private onRightPanelStoreUpdate;
    private onClose;
    private onSearchQueryChanged;
    render(): JSX.Element;
}
export {};
