import React from 'react';
import { MatrixEvent, Room } from 'matrix-js-sdk/src';
import { Thread } from 'matrix-js-sdk/src/models/thread';
import ResizeNotifier from '../../utils/ResizeNotifier';
import { RoomPermalinkCreator } from '../../utils/permalinks/Permalinks';
import { E2EStatus } from '../../utils/ShieldUtils';
import EditorStateTransfer from '../../utils/EditorStateTransfer';
interface IProps {
    room: Room;
    onClose: () => void;
    resizeNotifier: ResizeNotifier;
    mxEvent: MatrixEvent;
    permalinkCreator?: RoomPermalinkCreator;
    e2eStatus?: E2EStatus;
    initialEvent?: MatrixEvent;
    isInitialEventHighlighted?: boolean;
}
interface IState {
    thread?: Thread;
    editState?: EditorStateTransfer;
    replyToEvent?: MatrixEvent;
}
export default class ThreadView extends React.Component<IProps, IState> {
    static contextType: React.Context<import("./RoomView").IRoomState>;
    private dispatcherRef;
    private timelinePanelRef;
    constructor(props: IProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(prevProps: any): void;
    private onAction;
    private setupThread;
    private teardownThread;
    private onNewThread;
    private updateThread;
    private onScroll;
    private renderThreadViewHeader;
    render(): JSX.Element;
}
export {};
