import React, { ReactNode } from "react";
import { Playback, PlaybackState } from "../../../audio/Playback";
import { TileShape } from "../rooms/EventTile";
interface IProps {
    playback: Playback;
    mediaName?: string;
    tileShape?: TileShape;
}
interface IState {
    playbackPhase: PlaybackState;
    error?: boolean;
}
export default abstract class AudioPlayerBase extends React.PureComponent<IProps, IState> {
    constructor(props: IProps);
    private onPlaybackUpdate;
    protected abstract renderComponent(): ReactNode;
    render(): ReactNode;
}
export {};
