import React from "react";
import { MatrixClient } from "matrix-js-sdk/src/matrix";
interface IProps {
    matrixClient: MatrixClient;
    groupId: string;
    onFinished(spaceId?: string): void;
}
export declare const CreateEventField = "io.element.migrated_from_community";
export interface IGroupSummary {
    profile: {
        avatar_url?: string;
        is_openly_joinable?: boolean;
        is_public?: boolean;
        long_description: string;
        name: string;
        short_description: string;
    };
    rooms_section: {
        rooms: unknown[];
        categories: Record<string, unknown>;
        total_room_count_estimate: number;
    };
    user: {
        is_privileged: boolean;
        is_public: boolean;
        is_publicised: boolean;
        membership: string;
    };
    users_section: {
        users: unknown[];
        roles: Record<string, unknown>;
        total_user_count_estimate: number;
    };
}
declare const CreateSpaceFromCommunityDialog: React.FC<IProps>;
export default CreateSpaceFromCommunityDialog;
