import React from 'react';
import { Room } from "matrix-js-sdk/src/models/room";
import { IntegrationManagerInstance } from "../../../integrations/IntegrationManagerInstance";
import ScalarAuthClient from "../../../ScalarAuthClient";
import { IDialogProps } from "./IDialogProps";
interface IProps extends IDialogProps {
    /**
     * Optional room where the integration manager should be open to
     */
    room?: Room;
    /**
     * Optional screen to open on the integration manager
     */
    screen?: string;
    /**
     * Optional integration ID to open in the integration manager
     */
    integrationId?: string;
}
interface IState {
    managers: IntegrationManagerInstance[];
    busy: boolean;
    currentIndex: number;
    currentConnected: boolean;
    currentLoading: boolean;
    currentScalarClient: ScalarAuthClient;
}
export default class TabbedIntegrationManagerDialog extends React.Component<IProps, IState> {
    constructor(props: IProps);
    componentDidMount(): void;
    private openManager;
    private renderTabs;
    renderTab(): JSX.Element;
    render(): JSX.Element;
}
export {};
