import React from 'react';
import AccessibleButton from "./AccessibleButton";
import { Alignment } from './Tooltip';
interface ITooltipProps extends React.ComponentProps<typeof AccessibleButton> {
    title: string;
    tooltip?: React.ReactNode;
    label?: React.ReactNode;
    tooltipClassName?: string;
    forceHide?: boolean;
    yOffset?: number;
    alignment?: Alignment;
}
interface IState {
    hover: boolean;
}
export default class AccessibleTooltipButton extends React.PureComponent<ITooltipProps, IState> {
    constructor(props: ITooltipProps);
    componentDidUpdate(prevProps: Readonly<ITooltipProps>): void;
    showTooltip: () => void;
    hideTooltip: () => void;
    render(): JSX.Element;
}
export {};
