import React from "react";
import { Room } from "matrix-js-sdk/src/models/room";
import ScrollableBaseModal, { IScrollableBaseState } from "../dialogs/ScrollableBaseModal";
import { IDialogProps } from "../dialogs/IDialogProps";
interface IProps extends IDialogProps {
    room: Room;
}
interface IState extends IScrollableBaseState {
    question: string;
    options: string[];
    busy: boolean;
}
export default class PollCreateDialog extends ScrollableBaseModal<IProps, IState> {
    private addOptionRef;
    constructor(props: IProps);
    private checkCanSubmit;
    private onQuestionChange;
    private onOptionChange;
    private onOptionRemove;
    private onOptionAdd;
    protected submit(): void;
    protected cancel(): void;
    protected renderContent(): React.ReactNode;
}
export {};
