import React from 'react';
import { IMediaEventContent } from '../../../customisations/models/IMediaEventContent';
import { IBodyProps } from "./IBodyProps";
interface IState {
    decryptedUrl?: string;
    decryptedThumbnailUrl?: string;
    decryptedBlob?: Blob;
    error: any;
    imgError: boolean;
    imgLoaded: boolean;
    loadedImageDimensions?: {
        naturalWidth: number;
        naturalHeight: number;
    };
    hover: boolean;
    showImage: boolean;
    placeholder: 'no-image' | 'blurhash';
}
export default class MImageBody extends React.Component<IBodyProps, IState> {
    static contextType: React.Context<import("matrix-js-sdk/src").MatrixClient>;
    private unmounted;
    private image;
    private timeout?;
    private sizeWatcher;
    constructor(props: IBodyProps);
    private onClientSync;
    protected showImage(): void;
    protected onClick: (ev: React.MouseEvent) => void;
    private isGif;
    private onImageEnter;
    private onImageLeave;
    private onImageError;
    private onImageLoad;
    protected getContentUrl(): string;
    private get media();
    protected getThumbUrl(): string;
    private downloadImage;
    private clearBlurhashTimeout;
    componentDidMount(): void;
    componentWillUnmount(): void;
    protected messageContent(contentUrl: string, thumbUrl: string, content: IMediaEventContent, forcedHeight?: number): JSX.Element;
    protected wrapImage(contentUrl: string, children: JSX.Element): JSX.Element;
    protected getPlaceholder(width: number, height: number): JSX.Element;
    protected getTooltip(): JSX.Element;
    protected getFileBody(): string | JSX.Element;
    render(): JSX.Element;
}
interface PlaceholderIProps {
    hover?: boolean;
    maxWidth?: number;
}
export declare class HiddenImagePlaceholder extends React.PureComponent<PlaceholderIProps> {
    render(): JSX.Element;
}
export {};
