import React from 'react';
import maplibregl from 'maplibre-gl';
import { MatrixEvent } from 'matrix-js-sdk/src/models/event';
import { IBodyProps } from "./IBodyProps";
interface IState {
    error: Error;
}
export default class MLocationBody extends React.Component<IBodyProps, IState> {
    private coords;
    constructor(props: IBodyProps);
    componentDidMount(): void;
    private getBodyId;
    private getMarkerId;
    private onClick;
    render(): React.ReactElement<HTMLDivElement>;
}
interface ILocationBodyContentProps {
    mxEvent: MatrixEvent;
    bodyId: string;
    markerId: string;
    error: Error;
    tooltip?: string;
    onClick?: (event: React.MouseEvent<HTMLDivElement, MouseEvent>) => void;
    zoomButtons?: boolean;
    onZoomIn?: () => void;
    onZoomOut?: () => void;
}
export declare function LocationBodyContent(props: ILocationBodyContentProps): React.ReactElement<HTMLDivElement>;
export declare function createMap(coords: GeolocationCoordinates, interactive: boolean, bodyId: string, markerId: string, onError: (error: Error) => void): maplibregl.Map;
/**
 * Find the geo-URI contained within a location event.
 */
export declare function locationEventGeoUri(mxEvent: MatrixEvent): string;
export declare function parseGeoUri(uri: string): GeolocationCoordinates;
export declare function createMapSiteLink(event: MatrixEvent): string;
export {};
