import React from 'react';
import { Relations } from 'matrix-js-sdk/src/models/relations';
import { IMediaBody } from "./IMediaBody";
import { IOperableEventTile } from "../context_menus/MessageContextMenu";
import { MediaEventHelper } from "../../../utils/MediaEventHelper";
import { IBodyProps } from "./IBodyProps";
interface IProps extends Omit<IBodyProps, "onMessageAllowed"> {
    overrideBodyTypes?: Record<string, React.Component>;
    overrideEventTypes?: Record<string, React.Component>;
    getRelationsForEvent?: (eventId: string, relationType: string, eventType: string) => Relations;
}
export default class MessageEvent extends React.Component<IProps> implements IMediaBody, IOperableEventTile {
    private body;
    private mediaHelper;
    constructor(props: IProps);
    componentWillUnmount(): void;
    componentDidUpdate(prevProps: Readonly<IProps>): void;
    private get bodyTypes();
    private get evTypes();
    getEventTileOps: () => import("../context_menus/MessageContextMenu").IEventTileOps;
    getMediaHelper(): MediaEventHelper;
    private onTileUpdate;
    render(): JSX.Element;
}
export {};
