import React from 'react';
import { MatrixEvent, IEventRelation } from "matrix-js-sdk/src/models/event";
import { Room } from "matrix-js-sdk/src/models/room";
import { RoomMember } from "matrix-js-sdk/src/models/room-member";
import { RoomPermalinkCreator } from '../../../utils/permalinks/Permalinks';
import ResizeNotifier from "../../../utils/ResizeNotifier";
import { E2EStatus } from '../../../utils/ShieldUtils';
import RoomContext from '../../../contexts/RoomContext';
interface IProps {
    room: Room;
    resizeNotifier: ResizeNotifier;
    permalinkCreator: RoomPermalinkCreator;
    replyToEvent?: MatrixEvent;
    relation?: IEventRelation;
    e2eStatus?: E2EStatus;
    compact?: boolean;
}
interface IState {
    tombstone: MatrixEvent;
    canSendMessages: boolean;
    isComposerEmpty: boolean;
    haveRecording: boolean;
    recordingTimeLeftSeconds?: number;
    me?: RoomMember;
    narrowMode?: boolean;
    isMenuOpen: boolean;
    showStickers: boolean;
    showStickersButton: boolean;
    showPollsButton: boolean;
}
export default class MessageComposer extends React.Component<IProps, IState> {
    private dispatcherRef;
    private messageComposerInput;
    private voiceRecordingButton;
    private ref;
    private instanceId;
    static contextType: React.Context<import("../../structures/RoomView").IRoomState>;
    context: React.ContextType<typeof RoomContext>;
    static defaultProps: {
        compact: boolean;
    };
    constructor(props: any);
    componentDidMount(): void;
    private onResize;
    private onAction;
    private waitForOwnMember;
    componentWillUnmount(): void;
    private onRoomStateEvents;
    private getRoomTombstone;
    private onTombstoneClick;
    private renderPlaceholderText;
    private addEmoji;
    private shareLocation;
    private sendMessage;
    private onChange;
    private onVoiceStoreUpdate;
    private shouldShowStickerPicker;
    private showStickers;
    private toggleButtonMenu;
    private renderButtons;
    render(): JSX.Element;
}
export {};
