import React from 'react';
import { Room } from 'matrix-js-sdk/src/models/room';
import { IWidgetEvent } from '../../../utils/WidgetUtils';
interface IProps {
    room: Room;
    threadId?: string | null;
    showStickers: boolean;
    menuPosition?: any;
    setShowStickers: (showStickers: boolean) => void;
}
interface IState {
    imError: string;
    stickerpickerX: number;
    stickerpickerY: number;
    stickerpickerChevronOffset?: number;
    stickerpickerWidget: IWidgetEvent;
    widgetId: string;
}
export default class Stickerpicker extends React.PureComponent<IProps, IState> {
    static defaultProps: {
        threadId: any;
    };
    static currentWidget: any;
    private dispatcherRef;
    private prevSentVisibility;
    private popoverWidth;
    private popoverHeight;
    private scalarClient;
    constructor(props: IProps);
    private acquireScalarClient;
    private removeStickerpickerWidgets;
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(prevProps: IProps, prevState: IState): void;
    private imError;
    private updateWidget;
    private onWidgetAction;
    private onRightPanelStoreUpdate;
    private defaultStickerpickerContent;
    private errorStickerpickerContent;
    private sendVisibilityToWidget;
    getStickerpickerContent(): JSX.Element;
    private onShowStickersClick;
    /**
     * Called when the window is resized
     */
    private onResize;
    /**
     * The stickers picker was hidden
     */
    private onFinished;
    /**
     * Launch the integration manager on the stickers integration page
     */
    private launchManageIntegrations;
    render(): JSX.Element;
}
export {};
