import React, { ReactNode } from "react";
import { Room } from "matrix-js-sdk/src/models/room";
import { RecordingState, VoiceRecording } from "../../../audio/VoiceRecording";
interface IProps {
    room: Room;
}
interface IState {
    recorder?: VoiceRecording;
    recordingPhase?: RecordingState;
    didUploadFail?: boolean;
}
/**
 * Container tile for rendering the voice message recorder in the composer.
 */
export default class VoiceRecordComposerTile extends React.PureComponent<IProps, IState> {
    constructor(props: any);
    componentWillUnmount(): Promise<void>;
    send(): Promise<void>;
    private disposeRecording;
    private onCancel;
    onRecordStartEndClick: () => Promise<void>;
    private renderWaveformArea;
    render(): ReactNode;
}
export {};
