import React from 'react';
interface IProps {
    closeSettingsFn(success: boolean): void;
}
interface IState {
    autoLaunch: boolean;
    autoLaunchSupported: boolean;
    warnBeforeExit: boolean;
    warnBeforeExitSupported: boolean;
    alwaysShowMenuBarSupported: boolean;
    alwaysShowMenuBar: boolean;
    minimizeToTraySupported: boolean;
    minimizeToTray: boolean;
    autocompleteDelay: string;
    readMarkerInViewThresholdMs: string;
    readMarkerOutOfViewThresholdMs: string;
}
export default class PreferencesUserSettingsTab extends React.Component<IProps, IState> {
    static ROOM_LIST_SETTINGS: string[];
    static SPACES_SETTINGS: string[];
    static COMMUNITIES_SETTINGS: string[];
    static KEYBINDINGS_SETTINGS: string[];
    static COMPOSER_SETTINGS: string[];
    static TIME_SETTINGS: string[];
    static CODE_BLOCKS_SETTINGS: string[];
    static IMAGES_AND_VIDEOS_SETTINGS: string[];
    static TIMELINE_SETTINGS: string[];
    static GENERAL_SETTINGS: string[];
    constructor(props: any);
    componentDidMount(): Promise<void>;
    private onAutoLaunchChange;
    private onWarnBeforeExitChange;
    private onAlwaysShowMenuBarChange;
    private onMinimizeToTrayChange;
    private onAutocompleteDelayChange;
    private onReadMarkerInViewThresholdMs;
    private onReadMarkerOutOfViewThresholdMs;
    private renderGroup;
    render(): JSX.Element;
}
export {};
