import * as linkifyjs from 'linkifyjs';
import linkifyElement from 'linkifyjs/element';
import linkifyString from 'linkifyjs/string';
declare enum Type {
    URL = "url",
    UserId = "userid",
    RoomAlias = "roomalias",
    GroupId = "groupid"
}
export declare const ELEMENT_URL_PATTERN: string;
export declare const MATRIXTO_URL_PATTERN = "^(?:https?://)?(?:www\\.)?matrix\\.to/#/(([#@!+]).*)";
export declare const MATRIXTO_MD_LINK_PATTERN = "\\[([^\\]]*)\\]\\((?:https?://)?(?:www\\.)?matrix\\.to/#/([#@!+][^\\)]*)\\)";
export declare const MATRIXTO_BASE_URL: string;
export declare const options: {
    events: (href: string, type: Type | string) => Partial<GlobalEventHandlers>;
    formatHref: (href: string, type: Type | string) => string;
    linkAttributes: {
        rel: string;
    };
    target: (href: string, type: Type | string) => string;
};
export declare const linkify: typeof linkifyjs;
export declare const _linkifyElement: typeof linkifyElement;
export declare const _linkifyString: typeof linkifyString;
export {};
