import { ReactNode } from "react";
import { SettingLevel } from "./SettingLevel";
import SettingController from "./controllers/SettingController";
export declare enum LabGroup {
    Messaging = 0,
    Profile = 1,
    Spaces = 2,
    Widgets = 3,
    Rooms = 4,
    Moderation = 5,
    Analytics = 6,
    MessagePreviews = 7,
    Themes = 8,
    Encryption = 9,
    Experimental = 10,
    Developer = 11
}
export declare const labGroupNames: Record<LabGroup, string>;
interface IBaseSetting {
    isFeature?: false | undefined;
    displayName?: string | {
        [level: SettingLevel]: string;
    };
    description?: string;
    supportedLevels?: SettingLevel[];
    default: any;
    controller?: SettingController;
    supportedLevelsAreOrdered?: boolean;
    invertedSettingName?: string;
    betaInfo?: {
        title: string;
        caption: string;
        disclaimer?: (enabled: boolean) => ReactNode;
        image: string;
        feedbackSubheading?: string;
        feedbackLabel?: string;
        extraSettings?: string[];
    };
}
export interface IFeature extends Omit<IBaseSetting, "isFeature"> {
    isFeature: true;
    labsGroup: LabGroup;
}
export declare type ISetting = IBaseSetting | IFeature;
export declare const SETTINGS: {
    [setting: string]: ISetting;
};
export {};
