/// <reference types="node" />
import EventEmitter from 'events';
export declare enum ActiveWidgetStoreEvent {
    Update = "update"
}
/**
 * Stores information about the widgets active in the app right now:
 *  * What widget is set to remain always-on-screen, if any
 *    Only one widget may be 'always on screen' at any one time.
 *  * Negotiated capabilities for active apps
 */
export default class ActiveWidgetStore extends EventEmitter {
    private static internalInstance;
    private persistentWidgetId;
    private roomIdByWidgetId;
    static get instance(): ActiveWidgetStore;
    start(): void;
    stop(): void;
    private onRoomStateEvents;
    destroyPersistentWidget(id: string): void;
    setWidgetPersistence(widgetId: string, val: boolean): void;
    getWidgetPersistence(widgetId: string): boolean;
    getPersistentWidgetId(): string;
    getRoomId(widgetId: string): string;
    setRoomId(widgetId: string, roomId: string): void;
    delRoomId(widgetId: string): void;
}
