/// <reference types="node" />
import { Room } from "matrix-js-sdk/src/models/room";
import { EventEmitter } from "events";
import { FilterKind, IFilterCondition } from "./IFilterCondition";
/**
 * A filter condition for the room list which reveals rooms of a particular
 * name, or associated name (like a room alias).
 */
export declare class NameFilterCondition extends EventEmitter implements IFilterCondition {
    private _search;
    constructor();
    get kind(): FilterKind;
    get search(): string;
    set search(val: string);
    private callUpdate;
    isVisible(room: Room): boolean;
    matches(normalizedName: string): boolean;
}
