import { MatrixEvent } from 'matrix-js-sdk/src/models/event';
import { MatrixClient } from 'matrix-js-sdk/src/client';
/**
 * Returns whether an event should allow actions like reply, reactions, edit, etc.
 * which effectively checks whether it's a regular message that has been sent and that we
 * can display.
 *
 * @param {MatrixEvent} mxEvent The event to check
 * @returns {boolean} true if actionable
 */
export declare function isContentActionable(mxEvent: MatrixEvent): boolean;
export declare function canEditContent(mxEvent: MatrixEvent): boolean;
export declare function canEditOwnEvent(mxEvent: MatrixEvent): boolean;
export declare function findEditableEvent({ events, isForward, fromEventId, }: {
    events: MatrixEvent[];
    isForward: boolean;
    fromEventId?: string;
}): MatrixEvent;
export declare function getEventDisplayInfo(mxEvent: MatrixEvent): {
    isInfoMessage: boolean;
    tileHandler: string;
    isBubbleMessage: boolean;
    isLeftAlignedBubbleMessage: boolean;
    noBubbleEvent: boolean;
};
export declare function isVoiceMessage(mxEvent: MatrixEvent): boolean;
export declare function fetchInitialEvent(client: MatrixClient, roomId: string, eventId: string): Promise<MatrixEvent | null>;
